ChartDirector Ver 4.1 (PHP Edition Edition)

PlotArea.set4QBgColor

Usage

set4QBgColor(Q1Color, Q2Color, Q3Color, Q4Color [, edgeColor ])

Description

Sets using 4 background plot area colors for 4 quadrants.
The first quadrant is the region defined by x > 0 and y > 0. The second quadrant is the region defined by x < 0 and y > 0. The third quadrant is the region defined by x < 0 and y < 0. The fourth quadrant is the region defined by x > 0 and y < 0. These 4 regions can be colored using 4 different background colors.

Arguments

Argument | Default | Description
--- | --- | ---
Q1Color | (Mandatory) | The background color to be used for the first quadrant.
Q2Color | (Mandatory) | The background color to be used for the second quadrant.
Q3Color | (Mandatory) | The background color to be used for the third quadrant.
Q4Color | (Mandatory) | The background color to be used for the fourth quadrant.
edgeColor | -1 | he border color of the plot area. -1 means to use the default, which is LineColor. However, if the axes are configured in 4 quadrant mode (see XYChart.setAxisAtOrigin), the default will change to Transparent.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.